### Function

# ECal util_seconds_to_string

since: 3.30

#### Declaration [src]

    gchar*
    e_cal_util_seconds_to_string (
      gint64 seconds
    )

#### Description [src]

Converts time, in seconds, into a string representation readable by humans and localized into the current locale. This can be used to convert event duration to string or similar use cases.

Free the returned string with g_free(), when no longer needed.

Available since: 3.30

#### Parameters

`seconds`

  Type: `gint64`

  Actual time, in seconds.

#### Return value

Type: `gchar*`

A newly allocated string with localized description of the given time in seconds.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.